Subject: bug#7463: closed (Re: bug#7463: truncate)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 22 Nov 2010 15:28:02 +0000

Your bug report

#7463: truncate

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7463: truncate
From: Pádraig Brady <[email-masked]>
To: Rupert Bruce <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Nov 2010 15:32:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 22/11/10 14:41, Rupert Bruce wrote:
> truncate (GNU coreutils) 7.4
> 
> Unexpected behavior:
> 
> $ ls -l
> total 0
> $ truncate --size 0 *.log
> $ ls
> *.log
> 
> I would expect "truncate --size 0 *.log" to truncate any files ending
> with ".log"; instead I get a new file called "*.log"
> 
> FYI, one of the first changes I make on a new installation is to alias
> truncate in .bashrc:
> alias ll='ls -l'
> alias la='ls -A'
> alias truncate='truncate --size 0'

That's a function of your shell.
Search for "nullglob"

cheers,
Pádraig.

Subject: truncate
From: Rupert Bruce <[email-masked]>
To: [email-masked]
Date: Mon, 22 Nov 2010 09:41:33 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

truncate (GNU coreutils) 7.4

Unexpected behavior:

$ ls -l
total 0
$ truncate --size 0 *.log
$ ls
*.log

I would expect "truncate --size 0 *.log" to truncate any files ending 
with ".log"; instead I get a new file called "*.log"

FYI, one of the first changes I make on a new installation is to alias 
truncate in .bashrc:
alias ll='ls -l'
alias la='ls -A'
alias truncate='truncate --size 0'